#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-JnarUlw2hmU8IVH6uIbp2v
key:                  hls-refactor-plugin-1.2.0.0-JnarUlw2hmU8IVH6uIbp2v
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  6fdb38670e313d4329110a65d8ef22cc
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-JnarUlw2hmU8IVH6uIbp2v
depends:
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3 base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.16-2OWnlthH2TsF9fB7O5eM7s
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-5vU1xry7JrA3yyB7v3rFsS
    ghcide-1.10.0.0-xRMyuIhYNdLt9tUVvrYVI
    hls-graph-1.9.0.0-Lwgwofzg0B6HWSnkhmcemQ
    hls-plugin-api-1.6.0.0-7ijNnA38vL38jcbKaEgbUq
    lens-5.2.3-IfVI0lYg8YCKwUpCShTCzd
    lsp-1.6.0.0-4TAPRWoy3o03UX5PTQlAAE mtl-2.2.2
    regex-tdfa-1.3.2.2-J4ofX6nqvlhJHKSDmvaDcK
    retrie-1.2.3-CZKVzw2mzTPJ5BpimxNlkh
    syb-0.7.2.4-3hS53rZXvyRCGaWO0KMGhq text-1.2.5.0
    text-rope-0.2-EquskInIMoKBDTsDdpwDiD time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-E4Tm9IvXwjlGK4H2DBnoSH

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

